Name:           SFML
Version:        2.0
Release:        2%{?dist}
Summary:        Simple and Fast Multimedia Library

# src/SFML/Audio/stb_vorbis/stb_vorbis.{c,h} are Public Domain
License:        zlib and Public Domain
URL:            http://www.sfml-dev.org/
Source0:        http://www.sfml-dev.org/download/sfml/2.0/SFML-2.0-sources.zip
Patch0:         SFML-2.0-parallel-install.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libXrandr-devel
BuildRequires:  openal-devel

%description
SFML is a portable and easy to use multimedia API written in C++. You can see
it as a modern, object-oriented alternative to SDL.
SFML is composed of several packages to perfectly suit your needs. You can use
SFML as a minimal windowing system to interface with OpenGL, or as a
fully-featured multimedia library for building games or interactive programs.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
# fixup non needed executable permission on regular files
find -type f -print0 | xargs -0 chmod -x
# fixup %%doc files line endings
sed -i.bak 's/\r//' license.txt readme.txt
touch -r license.txt.bak license.txt
touch -r readme.txt.bak readme.txt
#make sure system-wide libraries are used
rm -rf extlibs


%build
%cmake -DSFML_BUILD_DOC=TRUE .
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Make parallel installable with 1.6, pkg-config files are adjusted likewise
# by patch0, so apps properly using pkg-config, won't notice any difference
mkdir $RPM_BUILD_ROOT%{_includedir}/%{name}-2.0
mv $RPM_BUILD_ROOT%{_includedir}/%{name} \
  $RPM_BUILD_ROOT%{_includedir}/%{name}-2.0
pushd $RPM_BUILD_ROOT%{_libdir}
for i in libsfml-*.so; do
    mv $i $(echo $i | sed 's/.so/-2.0.so/')
done
popd

#remove duplicated documentation
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/*.txt


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc license.txt readme.txt
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%doc doc/html/*
%{_includedir}/%{name}-2.0
%{_libdir}/pkgconfig/sfml-*.pc
%{_libdir}/libsfml-*-2.0.so


%changelog
* Sun May 26 2013 Hans de Goede <hdegoede@redhat.com> - 2.0-2
- Make parallel installable with 1.6 (avoid conflict with compat-SFML16)
- Fix rpmlint warnings
- Fix Source0 URL

* Wed May 01 2013 Julian Sikorski <belegdol@fedoraproject.org> - 2.0-1
- Updated to 2.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.6-9
- rebuild due to "jpeg8-ABI" feature drop

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 1.6-8
- Rebuild for glew 1.9.0

* Fri Jul 27 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-7
- Rebuilt for glew-1.7

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-4
- Fixed the License tag

* Thu Jan 12 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-3
- Use one patch and variables in place of sed to fix the makefile
- Fixed building with libpng-1.5 using a patch from Gentoo
- Updated the gcc patch for gcc-4.7

* Fri Dec 23 2011 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-2
- s/libSOIL/SOIL
- Fixed the shared libs usage

* Wed Nov 30 2011 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-1
- Initial RPM release based on Debian package

